Ruby - Bug #5177

Typos in documentation of URI::Parser
08/09/2011 07:59 PM - herwinw (Herwin Quarantainenet)

Status: Closed

Priority: Normal

Assignee: drbrain (Eric Hodel)

Target version: 1.9.2

ruby -v: 1.9.2 Backport:
Description

http://www.ruby-doc.org/stdlib/libdoc/uri/rdoc/classes/URI/Parser.html

® There is an attempt to write some parts in a fixed width font using -tags, but they don't work
e The first line of the example contains the symbol :ESCPAED, where two characters are mixed up.

Associated revisions

Revision ee13ed7e - 08/12/2011 06:41 PM - drbrain (Eric Hodel)

e lib/uri/common.rb: Fix documentation of URI::Parser.new. Patch by
Steve Klabnik. [Ruby 1.9 - Bug #5177]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32953 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision OfafdcOf - 08/12/2011 06:43 PM - drbrain (Eric Hodel)

e backport r32953 from trunk.

¢ lib/uri/common.rb: Fix documentation of URI::Parser.new. Patch by
Steve Klabnik. [Ruby 1.9 - Bug #5177]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@32954 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/09/2011 09:32 PM - steveklabnik (Steve Klabnik)
- File 0001-Fixing-typo-in-URI-Parser.patch added

I've attached a patch to fix the typo and remove the s.

Herwin, you want to assign this ticket to Eric Hodel.

#2 - 08/09/2011 09:34 PM - kosaki (Motohiro KOSAKI)
- Status changed from Open to Assigned

- Assignee set to drbrain (Eric Hodel)

#3 - 08/13/2011 03:05 AM - drbrain (Eric Hodel)

I think the wrong patch was attached as it is from 18 May 2011 and fixes whitespace and indentation, not URI::Parser.

#4 - 08/13/2011 03:14 AM - steveklabnik (Steve Klabnik)
- File 0001-Fixing-typo-and-tt-s.patch added

oops! Here's the right patch.

#5 - 08/13/2011 03:37 AM - drbrain (Eric Hodel)
- File deleted (0001-Fixing-typo-in-URI-Parser.patch)
http://www.ruby-doc.org/stdlib/libdoc/uri/rdoc/classes/URI/Parser.html

#6 - 08/13/2011 03:41 AM - drbrain (Eric Hodel)
- Tracker changed from Misc to Bug

- ruby -vsetto 1.9.2

#7 - 08/13/2011 03:41 AM - drbrain (Eric Hodel)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r32953.
Herwin, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e lib/uri/common.rb: Fix documentation of URI::Parser.new. Patch by
Steve Klabnik. [Ruby 1.9 - Bug #5177]

Files
0001-Fixing-typo-and-tt-s.patch 1.46 KB 08/13/2011 steveklabnik (Steve Klabnik)
